Subject: Re: linux-next: manual merge of the mm tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 29 Jul 2024 08:45:39 +1000

Hi all,

On Mon, 29 Jul 2024 08:41:17 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the mm tree got a conflict in:
> 
>   tools/testing/radix-tree/bitmap.c
> (renamed to tools/testing/shared/bitmap.c in the mm-unstable branch of
> the mm tree).
> 
> between commit:
> 
>   692a68ee9c3c ("radix tree test suite: put definition of bitmap_clear() into lib/bitmap.c")
> 
> from Linus' tree and commit:
> 
>   28b9ae6595be ("tools: separate out shared radix-tree components")
> 
> from the mm-unstable branch of the mm tree.
> 
> I fixed it up (I deleted the file) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

Actually, due to this and the conflict in
tools/testing/radix-tree/Makefile, I decided to drop the
mm tree for one more day while it gets sorted out.

-- 
Cheers,
Stephen Rothwell